// playDlg.h : ヘッダー ファイル
//

#pragma once
#include "afxwin.h"

typedef struct Channel{
	wchar_t name[32];
	wchar_t command[10];
	wchar_t IdentificationWord[128];
}CHANNEL;

// CplayDlg ダイアログ
class CplayDlg : public CDialog
{
// コンストラクション
public:
	CplayDlg(CWnd* pParent = NULL);	// 標準コンストラクタ

// ダイアログ データ
	enum { IDD = IDD_PLAY_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV サポート

	void LoadChannelFile(void);

	CHANNEL	channel[200];
	int		channel_number;

	int 	m_sel_ch;
	HANDLE m_hThread;

	bool OpenCommandBlock(LPTSTR vlc);
	bool OpenCommandNoBlock(LPTSTR vlc);
	void PowerOff();
	void PowerOn();

// 実装
protected:
	HICON m_hIcon;

	// 生成された、メッセージ割り当て関数
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnLbnSelchangeList1();
public:
	CListBox m_ChList;
public:
	afx_msg void OnBnClickedButton1();
public:
	afx_msg void OnBnClickedButton2();
public:
	afx_msg void OnClose();
public:
	CString m_filename;
public:
	CString m_vlcparam;
public:
	CString m_time;
public:
	afx_msg void OnBnClickedButton3();
public:
	afx_msg void OnBnClickedButton5();
public:
	afx_msg void OnBnClickedButton4();
public:
	CButton m_view_button;
public:
	afx_msg void OnLbnDblclkList1();
public:
	BOOL m_no_prompt;
	CComboBox m_ComboEncode;
public:
	afx_msg void OnCbnCloseupComboencode();
	bool OpenSeaIni(void);

};
